/* globals.h */
/* global definitions for reXgrep */
/* Copyright (C) 1999 Rohit Singh <rohit_singh@hotmail.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#define PHRASE 1
#define ALL    2
#define SOME   3
#define NONE   4 
#define SAVE   5
#define READ   6
#define REGEX  7

#define MAX_CONTEXT_LINES   1000
#define MAX_CMD_LEN         512
#define MAX_DIR_LEN   	    512

#define BUF_SIZE   	    1024

GtkWidget *entry;   
GtkWidget *text;   
GtkWidget *keyentry;
GtkWidget *spinnerA, *spinnerB;
GtkWidget *mainwindow = NULL;

int greptype=PHRASE;
int mode;
int recursive_flag=1,ignore_case_flag=0, line_number_flag=0;
int stop_flag=0;

char location[MAX_DIR_LEN];
char single_keyword[50][50];
char OUTPUT_FILE[MAX_DIR_LEN];

static char *version = "reXgrep v 1.2";
