/* globalparser.h */
/* utility functions of reXgrep */
/* Copyright (C) 1999 Rohit Signh <rohit_singh@hotmail.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

int parse_keywords(char * keyword_str);

int parse_keywords(char * keyword_str)
{

	int i=0, j=0, num_keywords=0;
	int len, space_flag=1;

	/*initialize single_keyword array with \0's */
	for(i=1; i<50; i++)
		for(j=1; j<50; j++)
			single_keyword[i][j]='\0';

	j=0;
	len=strlen(keyword_str);
	for (i=0; i<len; i++)
	{
		if (keyword_str[i] == ' ')
		{
			if (space_flag)
			{
				;//nothing
			}
			else
			{
				space_flag = 1;
				num_keywords++;
				strcpy(single_keyword[num_keywords],"");
				j=0;
			}
		}
		else 
		{
			space_flag=0;
			single_keyword[num_keywords][j]=keyword_str[i];
			single_keyword[num_keywords][(j+1)]='\0';
			j++;

		}
	}
	return(++num_keywords);
}
